TKN-TASK-LOGS(1)

NAME

tkn-task-logs - Show Task logs

SYNOPSIS

tkn task logs

DESCRIPTION

Show Task logs

OPTIONS

-a, --all[=false]
    show all logs including init steps injected by tekton

-f, --follow[=false]
    stream live logs

-h, --help[=false]
    help for logs

-L, --last[=false]
    show logs for last TaskRun

--limit=5
    lists number of TaskRuns

-t, --timestamps[=false]
    show logs with timestamp

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Interactive mode: shows logs of the selected TaskRun:

    tkn task logs -n namespace

Interactive mode: shows logs of the selected TaskRun of the given Task:

    tkn task logs task -n namespace

Show logs of given Task for last TaskRun:

    tkn task logs task -n namespace --last

Show logs for given Task and associated TaskRun:

    tkn task logs task taskrun -n namespace

SEE ALSO

tkn-task(1)